Summary: Logged in to local network machines
Name: rwho
Version: 0.17
Release: %mkrel 18
License: BSD
Group: Monitoring
Source: ftp://ftp.uk.linux.org/pub/linux/Networking/netkit/netkit-rwho-%{version}.tar.bz2
Source1: rwhod.init
Url: ftp://ftp.uk.linux.org/pub/linux/Networking/netkit/

#FIX for http://www.mandriva.com/security/advisories?name=MDKSA-2005:039
Patch5: rwho-0.17-CAN-2004-1180.patch
#Patch0: netkit-rwho-0.15-alpha.patch
Patch1: netkit-rwho-0.17-bug22014.patch
Patch2: rwho-0.17-fixbcast.patch
Patch3: rwho-0.17-fixhostname.patch

Buildroot: %{_tmppath}/%{name}-%{version}-buildroot
Requires(pre): rpm-helper

%description
The rwho command displays output similar to the output of the who
command (it shows who is logged in) for all machines on the local
network running the rwho daemon.

Install the rwho command if you need to keep track of the users who
are logged in to your local network.

%prep
%setup -q -n netkit-rwho-%{version}

%patch5 -p1 -b .can-2004-118
# (02/11/05 - vdanen) drop due to it being too intrusive against the security patch
# and we don't support alpha anyways
#%patch0 -p1 -b .alpha
%patch1 -p1 -b .bug22014
%patch2 -p0 -b .fixbcast
%patch3 -p1 -b .fixhostname

%build
%serverbuild
CFLAGS="$RPM_OPT_FLAGS" ./configure --with-c-compiler=gcc

make RPM_OPT_FLAGS="$RPM_OPT_FLAGS"
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS" -C ruptime

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_sbindir}
mkdir -p $RPM_BUILD_ROOT/%{_mandir}/man{1,8}
mkdir -p $RPM_BUILD_ROOT%{_initrddir}
mkdir -p $RPM_BUILD_ROOT/var/spool/rwho

make INSTALLROOT=$RPM_BUILD_ROOT MANDIR=%{_mandir} install 
make INSTALLROOT=$RPM_BUILD_ROOT install -C ruptime MANDIR=%{_mandir}

install -m 755 %SOURCE1 $RPM_BUILD_ROOT%{_initrddir}/rwhod

perl -pi -e "s|/etc/rc.d/init.d|%{_initrddir}|" $RPM_BUILD_ROOT%{_initrddir}/*
%clean
rm -rf $RPM_BUILD_ROOT

%post
%_post_service rwhod

%preun
%_preun_service rwhod

%files
%defattr(-,root,root)
%{_bindir}/ruptime
%{_mandir}/man1/ruptime.1*
%{_bindir}/rwho
%{_mandir}/man1/rwho.1*
%{_sbindir}/rwhod
%{_mandir}/man8/rwhod.8*
%attr(0755,daemon,daemon) /var/spool/rwho
%config(noreplace) %{_initrddir}/rwhod


%changelog
* Mon Mar 15 2010 Oden Eriksson <oeriksson@mandriva.com> 0.17-18mdv2010.1
+ Revision: 520213
- rebuilt for 2010.1

* Thu Sep 03 2009 Christophe Fergeau <cfergeau@mandriva.com> 0.17-17mdv2010.0
+ Revision: 426969
- rebuild

* Fri Dec 19 2008 Oden Eriksson <oeriksson@mandriva.com> 0.17-16mdv2009.1
+ Revision: 316189
- bunzip patches
- rediffed one fuzzy patch

* Wed Jun 18 2008 Thierry Vignaud <tv@mandriva.org> 0.17-15mdv2009.0
+ Revision: 225343
- rebuild

* Mon Feb 18 2008 Thierry Vignaud <tv@mandriva.org> 0.17-14mdv2008.1
+ Revision: 171085
- rebuild
- fix "foobar is blabla" summary (=> "blabla") so that it looks nice in rpmdrake
- kill re-definition of %%buildroot on Pixel's request
- s/Mandrake/Mandriva/

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Wed Aug 29 2007 Oden Eriksson <oeriksson@mandriva.com> 0.17-13mdv2008.0
+ Revision: 73371
- Import rwho



* Thu Jun 15 2006 Couriousous <couriousous@mandriva.org> 0.17-13mdv2007.0
- Fix #16566 ( Thanks to Jrgen Holm )
- LSB-ify startup script
- mkrel

* Sun Jan 01 2006 Mandriva Linux Team <http://www.mandrivaexpert.com/> 0.17-12mdk
- Rebuild

* Wed Mar 09 2005 Nicolas Lcureuil <neoclust@mandrake.org> 0.17-11mdk
- Rpmlint happier
- From security updates (Vincent Danen <vdanen@mandrakesoft.com>)
       - security update for CAN-2004-1180
       - don't apply alpha patch; it's too intrusive against the security patch and
               we don't officially support alpha anyways
       - drop the includes patch (P4)
       - make rwhod run as user daemon

* Fri Aug 20 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.17-10mdk
- fix typo in init script

* Thu Sep 04 2003 Florin <florin@mandrakesoft.com> 0.17-9mdk
- fix the stop in the initscript

* Tue Apr  8 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.17-8mdk
- Maintainer will fix remaing package bugs and split for server
- Rebuild to handle biarch struct utmp
- Patch4: Add missing (harmless) includes

* Tue Dec 18 2001 Juergen Holm <holm@theorie.physik.uni-goettingen.de> 0.17-7mdk
- resync with RH:

* Fri Mar 30 2001 Frederic Lepied <flepied@mandrakesoft.com> 0.17-6mdk
- use new server macros
- initscripts as config(noreplace)

* Thu Aug 31 2000 Yoann Vandoorselaere <yoann@mandrakesoft.com> 0.17-5mdk
- rwhod.init only runlevel 3 4 5.

* Thu Aug 31 2000 Yoann Vandoorselaere <yoann@mandrakesoft.com> 0.17-4mdk
- typo in rwhod.init

* Thu Aug 31 2000 Yoann Vandoorselaere <yoann@mandrakesoft.com> 0.17-3mdk
- move chkconfig in %%preun

* Wed Aug 30 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.17-2mdk
- rebuild for the user of the _initrddir macro.

* Fri Aug 04 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.17-1mdk
- rebuild for new version
- rebuild with _sbindir and _sysconfdir (titiscks)

* Thu Jul 20 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.16-3mdk
- BM, macros, _spechelper_

* Thu Apr 13 2000 Yoann Vandoorselaere <yoann@mandrakesoft.com> 0.16-2mdk
- fix dist tag

* Tue Mar 21 2000 Yoann Vandoorselaere <yoann@mandrakesoft.com> 0.16-1mdk
- 0.16

* Fri Nov 12 1999 John Buswell <johnb@mandrakesoft.com>
- 0.15
- Build Release

* Wed May 05 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- Mandrake adaptions

* Fri Apr  9 1999 Jeff Johnson <jbj@redhat.com>
- add ruptime (#2023)

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 22)

* Mon Mar 15 1999 Jeff Johnson <jbj@redhat.com>
- compile for 6.0.

* Tue May 05 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Sat May 02 1998 Cristian Gafton <gafton@redhat.com>
- enhanced initscripts

* Mon Nov 03 1997 Donnie Barnes <djb@redhat.com>
- added /var/spool/rwho

* Fri Oct 31 1997 Donnie Barnes <djb@redhat.com>
- fixed init script

* Tue Oct 21 1997 Erik Troan <ewt@redhat.com>
- added an init script
- uses chkconfig
- uses %%attr tags

* Tue Jul 15 1997 Erik Troan <ewt@redhat.com>
- initial build
